#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(free_rs, 0xfd581da1, "_gpl");
SYMBOL_CRC(init_rs_gfp, 0xeb2f825c, "_gpl");
SYMBOL_CRC(init_rs_non_canonical, 0x561835eb, "_gpl");
SYMBOL_CRC(encode_rs8, 0x63adbf92, "_gpl");
SYMBOL_CRC(decode_rs8, 0x1d29b9e1, "_gpl");
SYMBOL_CRC(decode_rs16, 0xa32f3d9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c49eac8, "kmalloc_caches" },
	{ 0xfa667511, "kmalloc_trace" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x7eb536a4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BAC440F179BF99542923D96");
